Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds.skeleton
Class SkeletonDriverShim

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.skeleton.CommonImpl
          com.novell.nds.dirxml.driver.xds.skeleton.SkeletonDriverShim

All Implemented Interfaces:
  com.novell.nds.dirxml.driver.DriverShim

public class SkeletonDriverShim
extends CommonImpl
implements com.novell.nds.dirxml.driver.DriverShim

A basic skeleton for implementing a `DriverShim`.

`com.novell.nds.dirxml.driver.DriverShim` defines the interface used by the DirXML engine to start stop an application shim.

A `DriverShim` must implement a constructor which takes no parameters in order for the DirXML engine to instantiate it.

NOTE: the Skeleton Driver makes no use of .ini files or any information outside of that supplied through the initialization data supplied to the shim `init()` methods; in general, it is inappropriate for a driver to store configuration information outside of eDirectory where it cannot be remotely configured using ConsoleOne, iManager, or other remote configuration utilities

NOTE: it is unwise to have static mutable class data, since that prevents multiple instances of the driver from functioning independently

Constructor Summary
`SkeletonDriverShim()` A Java driver shim `must` have a constructor which takes no parameters.

Method Summary
`com.novell.nds.dirxml.driver.PublicationShim` | `getPublicationShim()` `getPublicationShim` gets the implementation of PublicationShim that will be invoked by the DirXML engine.
`com.novell.nds.dirxml.driver.XmlDocument` | `getSchema(com.novell.nds.dirxml.driver.XmlDocument initXML)` `getSchema` returns the application schema encoded in XDS XML.
`com.novell.nds.dirxml.driver.SubscriptionShim` | `getSubscriptionShim()` `getSubscriptionShim` gets the implementation of SubscriptionShim that will be used to process commands on behalf of the DirXML engine.
`com.novell.nds.dirxml.driver.XmlDocument` | `init(com.novell.nds.dirxml.driver.XmlDocument initXML)` `init` will be called after a driver is instantiated to allow it to perform any necessary initialization before event processing begins.
`com.novell.nds.dirxml.driver.XmlDocument` | `shutdown(com.novell.nds.dirxml.driver.XmlDocument reasonXML)` `shutdown` indicates to the DriverShim that the driver is being terminated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkeletonDriverShim

    public SkeletonDriverShim()

  A Java driver shim `must` have a constructor which takes no parameters. The DirXML engine uses this to construct the driver object.

Method Detail

### init

    public com.novell.nds.dirxml.driver.XmlDocument init(com.novell.nds.dirxml.driver.XmlDocument initXML)

  `init` will be called after a driver is instantiated to allow it to perform any necessary initialization before event processing begins. Typically it will perform any setup that is common to both the subscriber and publisher channels.

  Specified by:
    `init` in interface `com.novell.nds.dirxml.driver.DriverShim`
  Parameters:
    `initXML` - XML document that contains the driver's initialization parameters
  Returns:
    an XML document containing status messages for this operation

### shutdown

    public com.novell.nds.dirxml.driver.XmlDocument shutdown(com.novell.nds.dirxml.driver.XmlDocument reasonXML)

  `shutdown` indicates to the DriverShim that the driver is being terminated.

  Specified by:
    `shutdown` in interface `com.novell.nds.dirxml.driver.DriverShim`
  Parameters:
    `reasonXML` - unused
  Returns:
    an XML document containing status messages for this operation

### getSubscriptionShim

    public com.novell.nds.dirxml.driver.SubscriptionShim getSubscriptionShim()

  `getSubscriptionShim` gets the implementation of SubscriptionShim that will be used to process commands on behalf of the DirXML engine.

  NOTE: the returned instance will be initialized by the DirXML engine

  Specified by:
    `getSubscriptionShim` in interface `com.novell.nds.dirxml.driver.DriverShim`
  Returns:
    an instance of SubscriptionShim that will be used to process commands on behalf of the DirXML engine
  See Also:
    `SkeletonSubscriptionShim.init(XmlDocument)`

### getPublicationShim

    public com.novell.nds.dirxml.driver.PublicationShim getPublicationShim()

  `getPublicationShim` gets the implementation of PublicationShim that will be invoked by the DirXML engine.

  NOTE: the returned instance will be initialized by the DirXML engine

  Specified by:
    `getPublicationShim` in interface `com.novell.nds.dirxml.driver.DriverShim`
  Returns:
    an instance of PublicationShim that will be invoked by the DirXML engine
  See Also:
    `SkeletonPublicationShim.init(XmlDocument)`

### getSchema

    public com.novell.nds.dirxml.driver.XmlDocument getSchema(com.novell.nds.dirxml.driver.XmlDocument initXML)

  `getSchema` returns the application schema encoded in XDS XML.

  This will be called only when the driver is not running. In other words, if this method is called init()/shutdown() will not be called for the current instance of the DriverShim.

  Specified by:
    `getSchema` in interface `com.novell.nds.dirxml.driver.DriverShim`
  Parameters:
    `initXML` - XML document containing the driver shim initialization parameters as well as the subscription shim and publication shim initialization parameters.
  Returns:
    XML document containing the application schema or an error status

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD